#include <bits/stdc++.h>
using namespace std;
int main() {
    ios_base::sync_with_stdio(false);
cin.tie(NULL);
long long n,x;
long long d=0;
cin>>n>>x;
long long niz[n];
for(int i=0; i<n; i++) cin>>niz[i];
sort(niz,niz+n);
if(x<niz[0]) d=niz[n-1]-x;
else if(x>niz[n-1]) d=x-niz[0];
else if(x-niz[0]>niz[n-1]-x) d=niz[n-1]-x+niz[n-1]-niz[0];
else if(x-niz[0]<niz[n-1]-x) d=x-niz[0]+niz[n-1]-niz[0];    
cout<<d;
return 0;
}